Upstream information

CVE-2017-12613 at MITRE

Description

When apr_time_exp*() or apr_os_exp_time*() functions are invoked with an invalid month field value in Apache Portable Runtime APR 1.6.2 and prior, out of bounds memory may be accessed in converting this value to an apr_time_exp_t value, potentially revealing the contents of a different static heap value or resulting in program termination, and may represent an information disclosure or denial of service vulnerability to applications which call these APR functions with unvalidated external input.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 3.6 2.7
Vector AV:L/AC:L/Au:N/C:P/I:N/A:P AV:L/AC:M/Au:M/C:P/I:N/A:P
Access Vector Local Local
Access Complexity Low Medium
Authentication None Multiple
Confidentiality Impact Partial Partial
Integrity Impact None None
Availability Impact Partial Partial
CVSS v3 Scores
  SUSE
Base Score 3.4
Vector AV:L/AC:L/PR:H/UI:N/S:U/C:L/I:N/A:L
Access Vector Local
Access Complexity Low
Privileges Required High
User Interaction None
Scope Unchanged
Confidentiality Impact Low
Integrity Impact None
Availability Impact Low
SUSE Bugzilla entry: 1064982 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 11 SP4
  • libapr1 >= 1.3.3-11.18.19.13.2
  • libapr1-32bit >= 1.3.3-11.18.19.13.2
Patchnames:
slessp4-libapr1-13607
SUSE Linux Enterprise Server 12 SP3
  • libapr1 >= 1.5.1-4.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-835
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • libapr1 >= 1.3.3-11.18.19.13.2
  • libapr1-32bit >= 1.3.3-11.18.19.13.2
Patchnames:
slessp4-libapr1-13607
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • libapr1 >= 1.5.1-4.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-835
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libapr1 >= 1.3.3-11.18.19.13.2
  • libapr1-devel >= 1.3.3-11.18.19.13.2
  • libapr1-devel-32bit >= 1.3.3-11.18.19.13.2
Patchnames:
sdksp4-libapr1-13607
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libapr1 >= 1.5.1-4.3.1
  • libapr1-devel >= 1.5.1-4.3.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2018-835
SUSE Studio Onsite 1.3
  • libapr1 >= 1.3.3-11.18.19.13.2
  • libapr1-devel >= 1.3.3-11.18.19.13.2
Patchnames:
slestso13-libapr1-13607
openSUSE Leap 42.3
  • libapr1 >= 1.5.1-9.3.1
  • libapr1-debuginfo >= 1.5.1-9.3.1
  • libapr1-debugsource >= 1.5.1-9.3.1
  • libapr1-devel >= 1.5.1-9.3.1
Patchnames:
openSUSE-2018-450


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise SDK 11 SP4 libapr1 Released
SUSE Linux Enterprise SDK 12 SP2 libapr1 Unsupported
SUSE Linux Enterprise SDK 12 SP3 libapr1 Released
SUSE Linux Enterprise Server 11 SP3 LTSS libapr1 Affected
SUSE Linux Enterprise Server 11 SP4 libapr1 Released
SUSE Linux Enterprise Server 12 GA LTSS libapr1 Affected
SUSE Linux Enterprise Server 12 SP1 LTSS libapr1 Affected
SUSE Linux Enterprise Server 12 SP2 libapr1 Unsupported
SUSE Linux Enterprise Server 12 SP3 libapr1 Released
SUSE Studio Onsite 1.3 libapr1 Released